Statistics dashboards4 matching interfaces
Assemble service dashboard data
composeServerStatBoard
POST
/ServerStatBoardService/composeServerStatBoard- Definition file
service_server_stat_board.proto- Available roles
- Administrator
Original definition
rpc composeServerStatBoard (ComposeServerStatBoardRequest) returns (ComposeServerStatBoardResponse);Request message
ComposeServerStatBoardRequestAssemble service dashboard data
Request message · Field definitions
message ComposeServerStatBoardRequest {
int64 serverId = 1;
}Response message
ComposeServerStatBoardResponseResponse message · Field definitions
message ComposeServerStatBoardResponse {
int64 minutelyPeekBandwidthBytes = 5; // Current bandwidth peak over N minutes
int64 dailyPeekBandwidthBytes = 2; // Today's peak bandwidth
int64 monthlyPeekBandwidthBytes = 3; // This month's peak bandwidth
int64 lastMonthlyPeekBandwidthBytes = 4; // Last month's peak bandwidth
int64 dailyCountIPs = 9; // Today's unique IP addresses
int64 dailyTrafficBytes = 10; // Today's traffic
int32 bandwidthPercentile = 7;
repeated ServerBandwidthStat minutelyBandwidthStats = 1; // Per-minute bandwidth statistics
ServerBandwidthStat minutelyNthBandwidthStat = 8;
repeated DailyTrafficStat dailyTrafficStats = 30;
repeated HourlyTrafficStat hourlyTrafficStats = 31;
repeated NodeStat topNodeStats = 32;
repeated CountryStat topCountryStats = 35;
repeated MetricDataChart metricDataCharts = 34;
message DailyTrafficStat {
string day = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message NodeStat {
int64 nodeId = 1;
string nodeName = 2;
int64 countRequests = 3;
int64 bytes = 4;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message CountryStat {
string countryName = 1;
int64 bytes = 2;
int64 countRequests = 3;
float percent = 4; // Traffic share
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
}